
PLUGINDIR = "Forgo.BurgleBuddy";
RESOURCEDIR = "Forgo/BurgleBuddy/Resources/";
PLUGINNAME = "BurgleBuddy";
AUTHOR = "Forgo";


-- Turbine Imports..
import "Turbine" -- needed for the Shell.WriteLine
import "Turbine.UI" -- needed for the standard Button
import "Turbine.UI.Lotro" -- needed for the Lotro.Window and the Lotro.Button
import "Turbine.Gameplay" -- needed for the player name

-- Plugin Imports..
import (PLUGINDIR..".ChatLogger");
import (PLUGINDIR..".LsysWindowBasic");

import (PLUGINDIR..".Commands");
import (PLUGINDIR..".Functions");
import (PLUGINDIR..".Strings");
-- Utils Imports..
--import (PLUGINDIR..".Utils");

-- Windows..
--import (PLUGINDIR..".Windows");
    LANGID = GetClientLanguage();
     --LANGID = 3;
   localPlayerName=Turbine.Gameplay.LocalPlayer:GetInstance():GetName();
   player = Turbine.Gameplay.LocalPlayer.GetInstance();
   readyState=Turbine.Gameplay.LocalPlayer:GetInstance():GetClass();
   backpack=player:GetBackpack();
--myItemTable={};
   myItems={};
   version = plugin:GetVersion();



  
Turbine.Plugin.Load = function(self, sender, args)
 -- Turbine.Shell.WriteLine(PLUGINNAME.." v" .. version .. " created by "..AUTHOR.." and updated by " .. self:GetAuthor() .. " is now loaded!");
end

  


--/==============================================================================
--/================  print red===========================
--/==============================================================================

function print(MESSAGE)
  if MESSAGE == nil then return end;
  Turbine.Shell.WriteLine("<rgb=#FF6666>" .. tostring(MESSAGE) .. "</rgb>");
end
--/==============================================================================
--/================  print chat===========================
--/==============================================================================

function printChat(MESSAGE)
--CHATLOG = Turbine.Chat;
  if MESSAGE == nil then return end;
 -- myChatType = Turbine.ChatType(1);
  
  Turbine.Shell.WriteLine(MESSAGE);
end

--/==============================================================================
--/================  LoadSequence ===========================
--/==============================================================================
function LoadSequence(player)


    loadData();
    --VerifyData();
    InitiateChatLogger();
    --Windows.DrawWindows();
    RegisterCommands();


    print("Loading '" .. PLUGINNAME .. "' "..version.." by "..AUTHOR.." ........");
  print(_STRINGS[1][2][LANGID]);

end
--/==============================================================================
--/================  printError ===========================
--/==============================================================================
function printError(STRING)
  if STRING == nil or STRING == "" then return end;
  Turbine.Shell.WriteLine("<rgb=#FF3333>"..PLUGINNAME..": " .. tostring(STRING) .. "\n" .. _STRINGS[1][2][LANGID] .. "</rgb>");
end
--/==============================================================================
--/================  AddCallback ===========================
--/==============================================================================
function AddCallback(object, event, callback)
    if (object[event] == nil) then
        object[event] = callback;
    else
        if (type(object[event]) == "table") then
            table.insert(object[event], callback);
        else
            object[event] = {object[event], callback};
        end
    end
    return callback;
end
--/==============================================================================
--/================  RemoveCallback ===========================
--/==============================================================================
function RemoveCallback(object, event, callback)
    if (object[event] == callback) then
        object[event] = nil;
    else
        if (type(object[event]) == "table") then
            local size = table.getn(object[event]);
            for i = 1, size do
                if (object[event][i] == callback) then
                    table.remove(object[event], i);
                    break;
                end
            end
        end
    end
end

--/==============================================================================
--/================  myfWindow ===========================
--/==============================================================================
local function myfWindow(sx,sy,text)
  myWindow=Turbine.UI.Lotro.Window(); 
  myWindow:SetSize(sx,sy); -- give ourselves lots of room to play in ;)
  myWindow:SetPosition((Turbine.UI.Display:GetWidth()-myWindow:GetWidth())/2,
  (Turbine.UI.Display:GetHeight()-myWindow:GetHeight())/2); 
  myWindow:SetText(text); -- set window title
  return myWindow;
end

--/==============================================================================
--/================  myQSButton ===========================
--/==============================================================================
   
local function myQSButton(sx,sy,ypos,text,parent,buttonName,localPlayerName,labelPosition,buttonRoot,rootType,option,br,bg,bb,ba)


  local morale=Turbine.Gameplay.LocalPlayer:GetInstance():GetMorale();
  local playerLoc = "todo location";
  parent.buttonName=Turbine.UI.Lotro.Quickslot();
  parent.buttonName:SetParent(parent);
  parent.buttonName:SetSize(sx,sy);
  parent.buttonName:SetPosition(ypos,myWindow.ButtonLabels[labelPosition]:GetTop());

  if option=="test" then 
    local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
    parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"/tell "..localPlayerName.." OUCH, that HURT! :p"))
    parent.buttonName.ShortcutData1="/tell "..localPlayerName.." OUCH, that HURT! :p";
    parent.buttonName:SetAllowDrop(false); 
    
      parent.buttonName.DragDrop=function()
        sc:SetData(parent.buttonName.ShortcutData1);
        parent.buttonName:SetShortcut(sc);
      end
  end
  if option=="plugin manager" then 
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"/plugins manager"))
      parent.buttonName.ShortcutData1="/plugins manager";
      parent.buttonName:SetAllowDrop(false); 
  
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData1);
          parent.buttonName:SetShortcut(sc);
        end
  end
  
  if option=="tell" then 
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"/tell "..localPlayerName.." OUCH, that HURT! :p"))
      parent.buttonName.ShortcutData1="/poke";
      parent.buttonName:SetAllowDrop(false); 
  
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData1);
          parent.buttonName:SetShortcut(sc);
        end
  end
  
  if option=="closebags" then
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"/plugins manager"))
      parent.buttonName.ShortcutData2="/plugins manager";
      parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end
  aaCount = 0
--for Index, Value in pairs( myItemTable ) do
 -- aaCount = aaCount + 1
--end
--/////////////////////==========   saySummary
    if option=="saySummary" then
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
     
      if SavedSettings["cBURGLESUCCESS"] ==1 then

--"/say I have pickpocketed "17      --" items out of "18   --" sneaky attempts since I found BurgleBuddy.";20
     parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][17][LANGID]..""..cBURGLESUCCESS.."".._STRINGS[1][18][LANGID]..""..cBURGLEATTEMPTS.."".._STRINGS[1][20][LANGID]))
        --"/say I have pickpocketed "17      --" item out of "19   --" sneaky attempts since I found BurgleBuddy.";20
      parent.buttonName.ShortcutData2=_STRINGS[1][17][LANGID]..""..cBURGLESUCCESS.."".._STRINGS[1][19][LANGID]..""..cBURGLEATTEMPTS.."".._STRINGS[1][20][LANGID];
  
     else 
    if cBURGLESUCCESS ==nil then
        cBURGLESUCCESS=0;
        
        end
           if cBURGLEATTEMPTS ==nil then
        cBURGLEATTEMPTS=0;
        
        end
               if cBURGLEFAIL ==nil then
        cBURGLEFAIL=0;
        
        end
               if cBURGLERETRY ==nil then
        cBURGLERETRY=0;
        
        end
   --"/say I have pickpocketed "17      --" items out of "18   --" sneaky attempts since I found BurgleBuddy.";20
     parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][17][LANGID]..""..cBURGLESUCCESS.."".._STRINGS[1][18][LANGID]..""..cBURGLEATTEMPTS.."".._STRINGS[1][20][LANGID]))
        --"/say I have pickpocketed "17      --" item out of "19   --" sneaky attempts since I found BurgleBuddy.";20
      parent.buttonName.ShortcutData2=_STRINGS[1][17][LANGID]..""..cBURGLESUCCESS.."".._STRINGS[1][19][LANGID]..""..cBURGLEATTEMPTS.."".._STRINGS[1][20][LANGID];
  
     end
     
      parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end
  --/////////////////////==========   slap
  if option=="slap" then
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
      --"/slap burglar slaps ;target."16
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][16][LANGID]))
      parent.buttonName.ShortcutData2=_STRINGS[1][16][LANGID];
      parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end
  --/////////////////////==========   eyesOnCreepOOC
    if option=="eyesOnCreepTest" then
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
         --"/slap Burglar detection: Creep ;target spotted at ;loc!"15
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][15][LANGID]))
      parent.buttonName.ShortcutData2=_STRINGS[1][15][LANGID];
      parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end
--/////////////////////==========   eyesOnCreepOOC
    if option=="eyesOnCreepOOC" then
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
      --"/OOC Burglar detection: Creep ;target spotted at ;loc!" 14
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][14][LANGID]))
      parent.buttonName.ShortcutData2=_STRINGS[1][14][LANGID];
      parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end
--/////////////////////==========   riddleAlert
  if option=="riddleAlert" then
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
            --"/say Burglar --RIDDLE-- alert: \n\n ==;target is RIDDLED!==\n\n";13
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][13][LANGID]))
      parent.buttonName.ShortcutData2=_STRINGS[1][13][LANGID];
      parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end
--/////////////////////==========   UserButton
  if option=="UserButton" then
  --"Drag Riddle here"
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][12][LANGID]);
      --parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"/say Burglar --RIDDLE-- alert: \n --;target is RIDDLED!--"))
      --parent.buttonName.ShortcutData2="/say Burglar --RIDDLE-- alert: --;target is RIDDLED!--";
      --parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end
--/////////////////////==========   dance
  if option=="dance" then
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"/dance"))
      parent.buttonName.ShortcutData2="/dance";
      parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end
  
  toggle=false;
  parent.buttonName.Backdrop=Turbine.UI.Control(); 
  parent.buttonName.Backdrop:SetParent(parent);
  parent.buttonName.Backdrop:SetSize(sx,sy);
  parent.buttonName.Backdrop:SetPosition(ypos,parent.ButtonLabels[labelPosition]:GetTop());
  parent.buttonName.Backdrop:SetZOrder(parent.buttonName:GetZOrder()+1); 
  
  --
  --SampleButton5=myQSButton(32,32,200,"null",myWindow,"SampleButton5",localPlayerName,5,Turbine.UI.Lotro,"Quickslot","slap",1,1,1,0);
  --SampleButton5a=myQSButton(32,32,235,"null",myWindow,"SampleButton5a",localPlayerName,5,Turbine.UI.Lotro,"Quickslot","saySummary",.1,.2,.3,0);
  --SampleButton6=myQSButton(32,32,270,"null",myWindow,"SampleButton6",localPlayerName,5,Turbine.UI.Lotro,"Quickslot","tell",1,1,0,0);
   --managerButton=myQSButton(32,32,335,"null",myWindow,"managerButton",localPlayerName,5,Turbine.UI,"Control","closebags",1,1,2,0);
 -- userQuickslotButton=myQSButton(32,32,200,"null",myWindow,"userQuickslotButton",localPlayerName,6,Turbine.UI.Lotro,"Quickslot","UserButton",1,0,1,0);
 --managerButton=myQSButton(32,32,240,"null",myWindow,"managerButton",localPlayerName,6,Turbine.UI.Lotro,"Quickslot","riddleAlert",1,.1,.1,.1);
  --eyesOnButton=myQSButton(32,32,320,"null",myWindow,"SampleButton6",localPlayerName,6,Turbine.UI,"Control","eyesOnCreep",1,50,10,0);
  
    if br == 1 and bg == 1 and bb == 1 and ba == 0 then --slap
     toggle=true;
     --parent.buttonName.Backdrop:SetBackColor(Turbine.UI.Color.White);
     parent.buttonName.Backdrop:SetBackground(0x41008842); --0x41008842 = trk treasurte
    end 
    if br == 1 and bg == 1 and bb == 2 and ba == 0 then --pluginmanager
     toggle=true;
     --parent.buttonName.Backdrop:SetBackColor(Turbine.UI.Color.White);
     parent.buttonName.Backdrop:SetBackground(0x410EA43E); --0x410EA43E = purge corruption
    end 
    if br == 1 and bg == .1 and bb == .1 and ba == .1 then --riddlealert
     toggle=true;
     --parent.buttonName.Backdrop:SetBackColor(Turbine.UI.Color.White);
     parent.buttonName.Backdrop:SetBackground(0x410056C9); --0x410056C9 = riddle
    end
    if br == 1 and bg == 50 and bb == 10 and ba == 0 then --eyseoncreep
     toggle=true;
     --parent.buttonName.Backdrop:SetBackColor(Turbine.UI.Color.White);
     parent.buttonName.Backdrop:SetBackground(0x410E8C9A); --0x410E8C9A = bloodlust
    end
    if br == .1 and bg == .2 and bb == .3 and ba == 0 then --summary
     toggle=true;
     --parent.buttonName.Backdrop:SetBackColor(Turbine.UI.Color.White);
     parent.buttonName.Backdrop:SetBackground(0x41008843); --0x41008843=burgle
    end
    if br == 1 and bg == 1 and bb == 0 and ba == 0 then --tell
      toggle=true;
      --parent.buttonName.Backdrop:SetBackColor(Turbine.UI.Color.White);
      parent.buttonName.Backdrop:SetBackground(0x410056C7); --0x410056C7=stab
    end

    if toggle==false then
      parent.buttonName.Backdrop:SetBackColor(Turbine.UI.Color(br,bg,bb,ba));
    end
  
  
  parent.buttonName.Backdrop:SetMouseVisible(false); 
  
  parent.buttonName.Icon=Turbine.UI.Control();
  parent.buttonName.Icon:SetParent(parent);
  parent.buttonName.Icon:SetSize(sx,sy);
  parent.buttonName.Icon:SetPosition(ypos,parent.ButtonLabels[labelPosition]:GetTop());
  parent.buttonName.Icon:SetZOrder(parent.buttonName:GetZOrder()+2);
  parent.buttonName.Icon:SetMouseVisible(false); 
  parent.buttonName.Icon:SetVisible(true);
  
  return buttonName;

end

--/==============================================================================
--/================  loadSlotData ===========================
--/==============================================================================
 function loadSlotData(parent)
  player = Turbine.Gameplay.LocalPlayer.GetInstance();
  backpack=player:GetBackpack();
  occupiedSlots =EmptySlots(backpack);
  -- "free slots"2
  parent.ButtonLabels[4]:SetText(_LABELS[1][2][LANGID].." "..occupiedSlots);
  slotsLeft =EmptySlots(backpack);
  if slotsLeft==0 then 
  --"Your bag is full. Call your peddler or visit town."3
  print(_STRINGS[1][3][LANGID]);
  end
  if slotsLeft==1 then 
  --"Bag is almost full!"4
    print(_STRINGS[1][4][LANGID]);
    --"You have " 5    --" slot left for shiny things in your pack!"6
    print(_STRINGS[1][5][LANGID]..""..EmptySlots(backpack).."".._STRINGS[1][6][LANGID]);
  end
   
   if slotsLeft>1 and slotsLeft<6 then 
       --"You have " 5    --" " slots left for shiny things!"7
    print(_STRINGS[1][5][LANGID]..""..EmptySlots(backpack).."".._STRINGS[1][7][LANGID]);
   end
  if slotsLeft>6 then 
       --"You have "5     --" " slot left for shiny things!"8
    Turbine.Shell.WriteLine(_STRINGS[1][5][LANGID]..""..EmptySlots(backpack).."".._STRINGS[1][8][LANGID]);
  end
end
--/==============================================================================
--/================  myfButton ===========================
--/==============================================================================
local function myfButton(sx,sy,text,parent,buttonName,localPlayerName,labelPosition,buttonRoot,rootType)
  -- here's the Lotro.Button
  if rootType =="Button" then
    parent.buttonName=buttonRoot.Button();
  end
  if rootType =="Control" then 
    parent.buttonName=buttonRoot.Control();
  end
  parent.buttonName:SetParent(parent);
  parent.buttonName:SetSize(sx,sy);
  parent.buttonName:SetPosition(200,myWindow.ButtonLabels[labelPosition]:GetTop()); 
  if text=="null" then
  end
  if text~="null" then
    parent.buttonName:SetText(text);
  end
  -- provide a simplistic click handler
  parent.buttonName.MouseClick=function()
  if labelPosition==1 then
  
 --"burgles"
   burgleWindow=LsysWindowBurgle(400,400,_LABELS[1][1][LANGID],(Turbine.UI.Display:GetWidth()-400)/2,
  (Turbine.UI.Display:GetHeight()-400)/2);

    --burgleWindow=myfWindow(400,400," burgles");

  burgleWindow:SetVisible(true);
    --Utils.Onscreen(burgleWindow);
  end
  if labelPosition==2 then
 --"Peeking into your bag...."1
      Turbine.Shell.WriteLine(_STRINGS[1][1][LANGID]);
      loadSlotData(parent);
  end
  if labelPosition==3 then
  -- "/burg - show main window/hides windows \n /burg reset - reset data \n /burg slots - check open slots"; 2  
  
  print(_STRINGS[1][2][LANGID])
--clearData();
  end
      --Turbine.Shell.WriteLine(localPlayerName..", you pressed the button "..buttonName);
  
  end
  return buttonName;
end


--/==============================================================================
--/================  main ===========================
--/==============================================================================

local function main()
  --LoadData();
  -- variables
  --local SavedSettings = Turbine.PluginData.Load(Turbine.DataScope.Character, PLUGINNAME.."_Settings"..localPlayerName);

  if player:GetAlignment() == Turbine.Gameplay.Alignment.FreePeople then
    isFreep = true
  else
    isFreep = false
  end;
  -- Initiate load sequence
  LoadSequence(player);
  -- calc slots
  emptySlots =EmptySlots(backpack);
  
--///======  //check alignment
 
  --Turbine.Shell.WriteLine("Your backpack can hold "..backpack:GetSize().." stolen goods!");

  if emptySlots==1 then 
  --"You can burgle "9       --" more item before you need to call your peddler, or sell your loot!"10
    Turbine.Shell.WriteLine(_STRINGS[1][9][LANGID]..""..emptySlots.."".._STRINGS[1][10][LANGID]);
  else 
    --"You can burgle "9       --" more items before you need to call your peddler, or sell your loot!"11
  
    Turbine.Shell.WriteLine(_STRINGS[1][9][LANGID]..""..emptySlots.."".._STRINGS[1][11][LANGID]);
  end


  myWindow=LsysWindowBasic(400,300,localPlayerName);

  SampleButton1=myfButton(190,32,_LABELS[1][1][LANGID],myWindow,"SampleButton1",localPlayerName,1,Turbine.UI.Lotro,"Button");
  SampleButton2=myfButton(190,32,_LABELS[1][3][LANGID],myWindow,"SampleButton2",localPlayerName,2,Turbine.UI.Lotro,"Button");
  SampleButton3=myfButton(190,32,_LABELS[1][4][LANGID],myWindow,"SampleButton3",localPlayerName,3,Turbine.UI.Lotro,"Button");

 -- SampleButton4=myQSButton(20,20,200,"null",myWindow,"SampleButton4",localPlayerName,4,Turbine.UI.Lotro,"Quickslot","one",1,1,0,.5);
 -- SampleButton4=Utils.Button();
 -- SampleButton4:SetParent(myWindow);    -- As normal
--SampleButton4:SetSize(32,32);   -- As normal
--SampleButton4:SetPosition(200,myWindow.ButtonLabels[4]:GetTop()); 
--SampleButton4:SetPosition(20,20);   -- As normal
--SampleButton4:SetImageNormal(0x41008842);   -- Standard button image
--SampleButton4:SetImageOver(0x41008842);   -- Image used when mouse is over the control
--SampleButton4:SetImageDown(0x41008842);   -- Image used when the mouse has clicked down on the control
--SampleButton4:SetImageDisabled(0x41008842); -- Image used when control:SetEnabled(false) -- only needed if button will ever be disabled
--SampleButton4:SetText("");

    --SampleButton4.ShortcutData1="/tell "..localPlayerName.." OUCH, that HURT! :p";
     
--SampleButton4.Click = function (Sender,Args)   -- the event sender, the event args
  -- <do something here>
  --mylist = SavedSettings["_BURGLELIST"];
--messageA = "You have "..emptySlots.." Slots left for shiny things!";
--message = "/tell list:"..SavedSettings["_BURGLELIST"].."attempts:"..SavedSettings["_BURGLEATTEMPTS"].." success:"..SavedSettings["_BURGLESUCCESS"].." OUCH, that HURT! :p";
--printChat(messageA);

        
--end



 


  SampleButton5=myQSButton(32,32,200,"null",myWindow,"SampleButton5",localPlayerName,5,Turbine.UI.Lotro,"Quickslot","slap",1,1,2,0);
  --SampleButton5a=myQSButton(32,32,235,"null",myWindow,"SampleButton5a",localPlayerName,5,Turbine.UI.Lotro,"Quickslot","saySummary",.1,.2,.3,0);
  --SampleButton6=myQSButton(32,32,270,"null",myWindow,"SampleButton6",localPlayerName,5,Turbine.UI.Lotro,"Quickslot","tell",1,1,0,0);

   managerButton=myQSButton(32,32,335,"null",myWindow,"managerButton",localPlayerName,5,Turbine.UI,"Control","closebags",1,1,1,0);
 

  userQuickslotButton=myQSButton(32,32,200,"null",myWindow,"userQuickslotButton",localPlayerName,6,Turbine.UI.Lotro,"Quickslot","UserButton",1,0,1,0);
 managerButton=myQSButton(32,32,240,"null",myWindow,"managerButton",localPlayerName,6,Turbine.UI.Lotro,"Quickslot","riddleAlert",1,.1,.1,.1);
  eyesOnButton=myQSButton(32,32,320,"null",myWindow,"SampleButton6",localPlayerName,6,Turbine.UI,"Control","eyesOnCreepOOC",1,50,10,0);

  myWindow:SetVisible(true); -- display the window


end
--/==============================================================================
--/================  init main ===========================
--/==============================================================================

main()




