import "Turbine"
import "Turbine.UI"
import "Turbine.UI.Lotro"
import "Turbine.Gameplay" -- needed for the player name
--import (PLUGINDIR..".Globals");
import (PLUGINDIR..".Functions");
import (PLUGINDIR..".Strings");

--/==============================================================================
--/================   myfButton ===========================
--/==============================================================================
local function myfButton(sx,sy,text,parent,buttonName,localPlayerName,labelPosition,buttonRoot,rootType)
    -- Lotro.Button
    if rootType =="Button" then
      parent.buttonName=buttonRoot.Button();
    end
    if rootType =="Control" then 
      parent.buttonName=buttonRoot.Control();
    end
    parent.buttonName:SetParent(parent);
    parent.buttonName:SetSize(sx,sy);
    parent.buttonName:SetPosition(200,parent.ButtonLabels[labelPosition]:GetTop()); 
    if text=="null" then
    end
    if text~="null" then
      parent.buttonName:SetText(text);
    end
    -- provide a simplistic click handler
    parent.buttonName.MouseClick=function()
      if labelPosition==1 then
        if burgleWindowActive==true then 
          burgleWindow:SetVisible(false);
        end
        if burgleWindowActive==false then 
        --"burgles L1
          burgleWindow=LsysWindowBurgle(400,400,_LABELS[1][1][LANGID],20,20);
          burgleWindowActive=true;
          burgleWindow:SetVisible(true);
        end
      --Utils.Onscreen(burgleWindow);
      end
      if labelPosition==2 then
        --"refreshing" 22      --" 's bag"23
          Turbine.Shell.WriteLine(_STRINGS[1][21][LANGID]..""..localPlayerName.."".._STRINGS[1][22][LANGID]);
          loadSlotData(parent);
      end
    
        --Turbine.Shell.WriteLine(localPlayerName..", you pressed the button "..buttonName);
  
    end
  return buttonName;
end
--/==============================================================================
--/================   buttonBkgnd ===========================
--/==============================================================================

local function buttonBkgnd(parent,buttonName,default,enter,leave,down,up)
  parent.buttonName:SetBlendMode(Turbine.UI.BlendMode.Overlay);
  parent.buttonName:SetBackground(default)
  parent.buttonName.MouseEnter=function()
      parent.buttonName:SetBackground(enter)
  end
  parent.buttonName.MouseLeave=function()
      parent.buttonName:SetBackground(leave)
  end
  parent.buttonName.MouseDown=function()
      parent.buttonName:SetBackground(down)
  end
  parent.buttonName.MouseUp=function()
      parent.buttonName:SetBackground(up)
  end
end
--/==============================================================================
--/================   LsysWindowBasic ===========================
--/==============================================================================

function LsysWindowBasic(sx,sy,text,width,height)
  if width == nil then
    width =(Turbine.UI.Display:GetWidth())/2;
  end
  if height== nil then
    height =(Turbine.UI.Display:GetHeight())/2;
  end
  myWindow=Turbine.UI.Lotro.Window(); 
  myWindow:SetSize(sx,sy); 
  myWindow:SetPosition(width,height); 
  myWindow:SetText(text); -- set window title
  
  local localPlayerName=Turbine.Gameplay.LocalPlayer:GetInstance():GetName();
  local player = Turbine.Gameplay.LocalPlayer.GetInstance();
  local backpack=player:GetBackpack();
  
  local tmpIndex;
  
  myWindow.ButtonLabels={};
  for tmpIndex=1,8 do
      myWindow.ButtonLabels[tmpIndex]=Turbine.UI.Label();
      myWindow.ButtonLabels[tmpIndex]:SetParent(myWindow);
      myWindow.ButtonLabels[tmpIndex]:SetSize(190,32);
      myWindow.ButtonLabels[tmpIndex]:SetPosition(8,tmpIndex*37+32); 
  end
  --"burgle list"L13
  myWindow.ButtonLabels[1]:SetText(_LABELS[1][13][LANGID]);
    --"check slots" L3
  myWindow.ButtonLabels[2]:SetText(_LABELS[1][3][LANGID]);
    --"options" L4
  myWindow.ButtonLabels[3]:SetText(_LABELS[1][4][LANGID]);
  --"Free slots" L2
  myWindow.ButtonLabels[4]:SetText(_LABELS[1][2][LANGID]..""..emptySlots);
  myWindow.ButtonLabels[5]:SetText(_LABELS[1][14][LANGID]); 
  myWindow.ButtonLabels[6]:SetText(_LABELS[1][15][LANGID]);

  	
  return myWindow;
end


--/==============================================================================
--/================  myQSButton ===========================
--/==============================================================================
   
local function myQSButton(sx,sy,ypos,text,parent,buttonName,localPlayerName,labelPosition,buttonRoot,rootType,option,br,bg,bb,ba)


  local morale=Turbine.Gameplay.LocalPlayer:GetInstance():GetMorale();
  local playerLoc = "todo location";
  parent.buttonName=Turbine.UI.Lotro.Quickslot();
  parent.buttonName:SetParent(parent);
  parent.buttonName:SetSize(sx,sy);
  parent.buttonName:SetPosition(ypos,myWindow.ButtonLabels[labelPosition]:GetTop());

  if option=="test" then 
    local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
    parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"/tell "..localPlayerName.." OUCH, that HURT! :p"))
    parent.buttonName.ShortcutData1="/tell "..localPlayerName.." OUCH, that HURT! :p";
    parent.buttonName:SetAllowDrop(false); 
    
      parent.buttonName.DragDrop=function()
        sc:SetData(parent.buttonName.ShortcutData1);
        parent.buttonName:SetShortcut(sc);
      end
  end
    if option=="saySlots" then 
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
      --"/say I only have "23           --" empty spaces in my bag, I will need to go sell soon."24
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][23][LANGID]..""..emptySlots.."".._STRINGS[1][24][LANGID]))
      parent.buttonName.ShortcutData1=_STRINGS[1][23][LANGID]..""..emptySlots.."".._STRINGS[1][24][LANGID];
      parent.buttonName:SetAllowDrop(false); 
  
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData1);
          parent.buttonName:SetShortcut(sc);
        end
  end
  
  if option=="plugin manager" then 
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"/plugins manager"))
      parent.buttonName.ShortcutData1="/plugins manager";
      parent.buttonName:SetAllowDrop(false); 
  
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData1);
          parent.buttonName:SetShortcut(sc);
        end
  end
  
  if option=="tell" then 
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"/tell "..localPlayerName.." OUCH, that HURT! :p"))
      parent.buttonName.ShortcutData1="/poke";
      parent.buttonName:SetAllowDrop(false); 
  
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData1);
          parent.buttonName:SetShortcut(sc);
        end
  end
  
  if option=="closebags" then
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"/plugins manager"))
      parent.buttonName.ShortcutData2="/plugins manager";
      parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end

        --aaCount = 0
--for i=1, #theItemsOnlyArray  do
  --aaCount = aaCount + 1
--end
--/////////////////////==========   saySummary
  if option=="sayLastItem" then
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
     
    if theLastItem==nil then
    theLastItem="nothing";
   end
-- "/say I pickpocketed " 25     -- " just now."26
  parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][25][LANGID]..""..StripAccent(theLastItem).."".._STRINGS[1][26][LANGID]))
      parent.buttonName.ShortcutData2=_STRINGS[1][25][LANGID]..""..StripAccent(theLastItem).."".._STRINGS[1][26][LANGID];
 
 
     
      parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end

--/////////////////////==========   saySummary
    if option=="saySummary" then
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
     
      if SavedSettings["cBURGLESUCCESS"] ==1 then

--"/say I have pickpocketed "17      --" items out of "18   --" sneaky attempts since I found BurgleBuddy.";20
     parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][17][LANGID]..""..cBURGLESUCCESS.."".._STRINGS[1][18][LANGID]..""..cBURGLEATTEMPTS.."".._STRINGS[1][20][LANGID]))
        --"/say I have pickpocketed "17      --" item out of "19   --" sneaky attempts since I found BurgleBuddy.";20
      parent.buttonName.ShortcutData2=_STRINGS[1][17][LANGID]..""..cBURGLESUCCESS.."".._STRINGS[1][18][LANGID]..""..cBURGLEATTEMPTS.."".._STRINGS[1][20][LANGID];
  
     else 
    if cBURGLESUCCESS ==nil then
        cBURGLESUCCESS=0;
        
        end
           if cBURGLEATTEMPTS ==nil then
        cBURGLEATTEMPTS=0;
        
        end
               if cBURGLEFAIL ==nil then
        cBURGLEFAIL=0;
        
        end
               if cBURGLERETRY ==nil then
        cBURGLERETRY=0;
        
        end
   --"/say I have pickpocketed "17      --" items out of "18   --" sneaky attempts since I found BurgleBuddy.";20
     parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][17][LANGID]..""..cBURGLESUCCESS.."".._STRINGS[1][19][LANGID]..""..cBURGLEATTEMPTS.."".._STRINGS[1][20][LANGID]))
        --"/say I have pickpocketed "17      --" item out of "19   --" sneaky attempts since I found BurgleBuddy.";20
      parent.buttonName.ShortcutData2=_STRINGS[1][17][LANGID]..""..cBURGLESUCCESS.."".._STRINGS[1][19][LANGID]..""..cBURGLEATTEMPTS.."".._STRINGS[1][20][LANGID];
  
     end
     
      parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end
  --/////////////////////==========   slap
  if option=="slap" then
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
      --"/slap burglar slaps ;target."16
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][16][LANGID]))
      parent.buttonName.ShortcutData2=_STRINGS[1][16][LANGID];
      parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end
  --/////////////////////==========   eyesOnCreepOOC
    if option=="eyesOnCreepTest" then
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
         --"/slap Burglar detection: Creep ;target spotted at ;loc!"15
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][15][LANGID]))
      parent.buttonName.ShortcutData2=_STRINGS[1][15][LANGID];
      parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end
--/////////////////////==========   eyesOnCreepOOC
    if option=="eyesOnCreepOOC" then
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
      --"/OOC Burglar detection: Creep ;target spotted at ;loc!" 14
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][14][LANGID]))
      parent.buttonName.ShortcutData2=_STRINGS[1][14][LANGID];
      parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end
--/////////////////////==========   riddleAlert
  if option=="riddleAlert" then
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
            --"/say Burglar --RIDDLE-- alert: \n\n ==;target is RIDDLED!==\n\n";13
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][13][LANGID]))
      parent.buttonName.ShortcutData2=_STRINGS[1][13][LANGID];
      parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end
--/////////////////////==========   UserButton
  if option=="UserButton" then
  --"Drag Riddle here"
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,_STRINGS[1][12][LANGID]);
      --parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"/say Burglar --RIDDLE-- alert: \n --;target is RIDDLED!--"))
      --parent.buttonName.ShortcutData2="/say Burglar --RIDDLE-- alert: --;target is RIDDLED!--";
      --parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end
--/////////////////////==========   dance
  if option=="dance" then
      local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
      parent.buttonName:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"/dance"))
      parent.buttonName.ShortcutData2="/dance";
      parent.buttonName:SetAllowDrop(false); 
        parent.buttonName.DragDrop=function()
          sc:SetData(parent.buttonName.ShortcutData2);
          parent.buttonName:SetShortcut(sc);
        end
  end
  toggle=false;
  parent.buttonName.Backdrop=Turbine.UI.Control(); 
  parent.buttonName.Backdrop:SetParent(parent);
  parent.buttonName.Backdrop:SetSize(sx,sy);
  parent.buttonName.Backdrop:SetPosition(ypos,parent.ButtonLabels[labelPosition]:GetTop());
  parent.buttonName.Backdrop:SetZOrder(parent.buttonName:GetZOrder()+1); 
  
  --
  --SampleButton5=myQSButton(32,32,200,"null",myWindow,"SampleButton5",localPlayerName,5,Turbine.UI.Lotro,"Quickslot","slap",1,1,1,0);
  --SampleButton5a=myQSButton(32,32,235,"null",myWindow,"SampleButton5a",localPlayerName,5,Turbine.UI.Lotro,"Quickslot","saySummary",.1,.2,.3,0);
  --SampleButton6=myQSButton(32,32,270,"null",myWindow,"SampleButton6",localPlayerName,5,Turbine.UI.Lotro,"Quickslot","tell",1,1,0,0);
   --managerButton=myQSButton(32,32,335,"null",myWindow,"managerButton",localPlayerName,5,Turbine.UI,"Control","closebags",1,1,2,0);
 -- userQuickslotButton=myQSButton(32,32,200,"null",myWindow,"userQuickslotButton",localPlayerName,6,Turbine.UI.Lotro,"Quickslot","UserButton",1,0,1,0);
 --managerButton=myQSButton(32,32,240,"null",myWindow,"managerButton",localPlayerName,6,Turbine.UI.Lotro,"Quickslot","riddleAlert",1,.1,.1,.1);
  --eyesOnButton=myQSButton(32,32,320,"null",myWindow,"SampleButton6",localPlayerName,6,Turbine.UI,"Control","eyesOnCreep",1,50,10,0);
  
    if br == 1 and bg == 1 and bb == 1 and ba == 0 then --slap
     toggle=true;
     --parent.buttonName.Backdrop:SetBackColor(Turbine.UI.Color.White);
     parent.buttonName.Backdrop:SetBackground(0x41008842); --0x41008842 = trk treasurte
    end 
    if br == 1 and bg == 1 and bb == 2 and ba == 0 then --pluginmanager
     toggle=true;
     --parent.buttonName.Backdrop:SetBackColor(Turbine.UI.Color.White);
     parent.buttonName.Backdrop:SetBackground(0x410EA43E); --0x410EA43E = purge corruption
    end 
    if br == 1 and bg == .1 and bb == .1 and ba == .1 then --riddlealert
     toggle=true;
     --parent.buttonName.Backdrop:SetBackColor(Turbine.UI.Color.White);
     parent.buttonName.Backdrop:SetBackground(0x410056C9); --0x410056C9 = riddle
    end
    if br == 1 and bg == 50 and bb == 10 and ba == 0 then --eyseoncreep
     toggle=true;
     --parent.buttonName.Backdrop:SetBackColor(Turbine.UI.Color.White);
     parent.buttonName.Backdrop:SetBackground(0x410E8C9A); --0x410E8C9A = bloodlust
    end
    if br == .1 and bg == .2 and bb == .3 and ba == 0 then --summary
     toggle=true;
     --parent.buttonName.Backdrop:SetBackColor(Turbine.UI.Color.White);
     parent.buttonName.Backdrop:SetBackground(0x41008843); --0x41008843=burgle
    end
    if br == 1 and bg == 1 and bb == 0 and ba == 0 then --tell
      toggle=true;
      --parent.buttonName.Backdrop:SetBackColor(Turbine.UI.Color.White);
      parent.buttonName.Backdrop:SetBackground(0x410056C7); --0x410056C7=stab
    end

    if toggle==false then
      parent.buttonName.Backdrop:SetBackColor(Turbine.UI.Color(br,bg,bb,ba));
    end
  
  
  parent.buttonName.Backdrop:SetMouseVisible(false); 
  
  parent.buttonName.Icon=Turbine.UI.Control();
  parent.buttonName.Icon:SetParent(parent);
  parent.buttonName.Icon:SetSize(sx,sy);
  parent.buttonName.Icon:SetPosition(ypos,parent.ButtonLabels[labelPosition]:GetTop());
  parent.buttonName.Icon:SetZOrder(parent.buttonName:GetZOrder()+2);
  parent.buttonName.Icon:SetMouseVisible(false); 
  parent.buttonName.Icon:SetVisible(true);
  
  return buttonName;

end
--/==============================================================================
--/================ LsysWindowBurgle ===========================
--/==============================================================================
function LsysWindowBurgle(sx,sy,text,width,height)
--loadData();
  
  myBWindow=Turbine.UI.Lotro.Window(); 
  local tmpIndex;
  myBWindow.ButtonLabels={};
  for tmpIndex=1,5 do
      myBWindow.ButtonLabels[tmpIndex]=Turbine.UI.Label();
      myBWindow.ButtonLabels[tmpIndex]:SetParent(myBWindow);
      myBWindow.ButtonLabels[tmpIndex]:SetSize(190,20);
      myBWindow.ButtonLabels[tmpIndex]:SetPosition(5,tmpIndex*25+20); 
  end
--   L9
  myBWindow.ButtonLabels[1]:SetText(_LABELS[1][9][LANGID]..""..cBURGLEATTEMPTS);
  --"Total Items Burgled: " L10
  myBWindow.ButtonLabels[2]:SetText(_LABELS[1][10][LANGID]..""..cBURGLESUCCESS);
  --myBWindow.ButtonLabels[3]:SetText("Value of stolen goods: ");
  --"Total Burgle fails: "L11
  myBWindow.ButtonLabels[3]:SetText(_LABELS[1][11][LANGID]..""..cBURGLEFAIL);
  --"Total Burgle retries: ". L12
  myBWindow.ButtonLabels[4]:SetText(_LABELS[1][12][LANGID]..""..cBURGLERETRY);
  --SampleButton3=myfButton(20,20,"null",myBWindow,"SampleButton3",localPlayerName,3,Turbine.UI,"Control");
  --bkgd2 = buttonBkgnd(myBWindow,SampleButton3,0x41002AA9,0x41002AA9,0x41002AA9,0x41002AA9,0x41002AA9);
   SampleButton5a=myQSButton(32,32,20,"null",myBWindow,"SampleButton5a",localPlayerName,5,Turbine.UI.Lotro,"Quickslot","saySummary",.1,.2,.3,0);
    SampleButton5b=myQSButton(32,32,60,"null",myBWindow,"SampleButton5b",localPlayerName,5,Turbine.UI.Lotro,"Quickslot","sayLastItem",.1,.2,.3,0);
      SampleButton5c=myQSButton(32,32,100,"null",myBWindow,"SampleButton5c",localPlayerName,5,Turbine.UI.Lotro,"Quickslot","saySlots",.1,.2,.3,0);
  if width == nil then
    width =(Turbine.UI.Display:GetWidth())/2;
  end
  if height== nil then
    height =(Turbine.UI.Display:GetHeight())/2;
  end
  
  myBWindow:SetSize(sx,sy); 
  myBWindow:SetPosition(width,height); 
  myBWindow:SetText(text); -- set window title
  
  
   wBurgleListBox = Turbine.UI.ListBox();
   wBurgleListBox:SetParent(myBWindow);
   wBurgleListBox:SetSize(200,350);
   wBurgleListBox:SetPosition(200,40);
    
   wBurgleListScroll = Turbine.UI.Lotro.ScrollBar();
   wBurgleListScroll:SetOrientation(Turbine.UI.Orientation.Vertical);
   wBurgleListScroll:SetParent(myBWindow);
   wBurgleListScroll:SetPosition(wBurgleListBox:GetLeft() + wBurgleListBox:GetWidth(),wBurgleListBox:GetTop());
   wBurgleListScroll:SetSize(8,wBurgleListBox:GetHeight());
   wBurgleListScroll:SetVisible(false);
    
   wBurgleListBox:SetVerticalScrollBar(wBurgleListScroll);
  
--loadData();
 -- itemArray = SETTINGS["_BURGLELIST"];
 
   if (  myItemTable ) then
 
        for i = 1, #myItemTable do
            local tempBURGLECONTROL = Turbine.UI.Control();
          tempBURGLECONTROL:SetSize(wBurgleListBox:GetWidth(),50);
  
      local tempBURGLELABEL = Turbine.UI.Label();
      tempBURGLELABEL:SetParent(tempBURGLECONTROL);
      tempBURGLELABEL:SetSize(wBurgleListBox:GetWidth(),tempBURGLECONTROL:GetHeight()-3);
      tempBURGLELABEL:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
      tempBURGLELABEL:SetFont(Turbine.UI.Lotro.Font.Verdana14);
      tempBURGLELABEL:SetForeColor(Turbine.UI.Color.White);
      tempBURGLELABEL:SetOutlineColor(Turbine.UI.Color.Black);
      tempBURGLELABEL:SetFontStyle(Turbine.UI.FontStyle.Outline);
      tempBURGLELABEL:SetBackColor(Turbine.UI.Color.Grey);
          --SavedSettings = Turbine.PluginData.Load(Turbine.DataScope.Character, "burglebuddy");
      tempBURGLELABEL:SetText(myItemTable[i]);
  
      wBurgleListBox:AddItem(tempBURGLELABEL);
  end
  end


  return myBWindow;
  
  
end